Skip to main content
GET
Get update

Authorizations

Authorization
string
header
required

Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.

Path Parameters

tenantId
string<uuid>
required

Id of the tenant the updates belong to

updateId
string<uuid>
required

Id of the update

Response

Successful operation

updateId
string<uuid>

Id of the update

referenceId
string<uuid>

Id of the case the update belongs to

updateTypeId
string<uuid>

Id of the update type

label
string

Label of the update type

description
string

Description of the update type

priority
integer

Priority of the update type

update
string | null

Text of the update

data
any

Arbitrary data attached to the update

refId
string | null

Id of the entity the update refers to, for example a case voucher

taskId
string | null

Id of the workflow task that produced the update

byWorkflowId
string<uuid> | null

Id of the workflow that produced the update

intention
string | null

Intention the update was created with

state
enum<string> | null

State of the update

Available options:
EXECUTED,
ROLLED_BACK,
null
procedure
object[] | null

Result of the procedure that produced the update

createdAt
string

Timestamp the update was created at

pausedAt
string

Timestamp the update is paused from

continuedAt
string | null

Timestamp the update was continued at. Null while the update is still open.

remindedAt
string | null

Timestamp the update reminds at

responsibleType
string | null

Type of the responsible party for the update

responsibleReferenceId
string | null

Reference id of the responsible party for the update

responsiblePermissionLevel
string | null

Role required to be set as responsible for the update

hiddenPermissionLevel
string | null

Role the update is hidden from

pauseWithUpdateOnCaseExit
string | null

Update type the update is paused with when the case ends

continueOnCaseExit
boolean

Whether the update is continued when the case ends

createdBy
object | null

Who created the update

continuedBy
object | null

Who continued the update